# abstract Context3DCompareMode(Null<Int>)

#### package openfl.display3D

####

Available on all platforms

### Variables

###

`inline read onlyALWAYS:Context3DCompareMode = 0`

###

`inline read onlyEQUAL:Context3DCompareMode = 1`

###

`inline read onlyGREATER:Context3DCompareMode = 2`

###

`inline read onlyGREATER_EQUAL:Context3DCompareMode = 3`

###

`inline read onlyLESS:Context3DCompareMode = 4`

###

`inline read onlyLESS_EQUAL:Context3DCompareMode = 5`

###

`inline read onlyNEVER:Context3DCompareMode = 6`

###

`inline read onlyNOT_EQUAL:Context3DCompareMode = 7`